We have moved to a new Sailfish OS Forum. Please start new discussions there.
7

Maps App update message but won't update! [released]

asked 2016-01-20 16:44:42 +0300

okourkoulos gravatar image

updated 2016-01-21 16:26:46 +0300

chemist gravatar image

As the title says! After (manually) updating to: "ssu re is currently 2.0.1.7", Maps won't update from version 1.0.13 to 1.1.9.2. Tried from Utilities Rebuild App Registry, tried: "version --dup", "pkcon refresh", "pkcon update", uninstall - reinstall and always restart through the changes. ssu domain is currently: sales Nothing! I've seen this before but cannot remember how I solved it. Advice please!

edit retag flag offensive reopen delete

The question has been closed for the following reason "released in a software update" by chemist
close date 2016-01-21 16:26:28.944225

Comments

I have the same problem

richdb ( 2016-01-20 17:27:12 +0300 )edit

I updated to 2.0.1.7 the standard way and had no issues with it. But in Jolla Store the Maps application says:

Version 1.1.9.2 Installed: 1.1.18 Updated: 14:01, 02/09/2015

mattikbk ( 2016-01-20 18:07:11 +0300 )edit

Here still no luck. Weird problem.

richdb ( 2016-01-20 22:04:24 +0300 )edit

3 Answers

Sort by » oldest newest most voted
9

answered 2016-01-20 23:36:20 +0300

Keto gravatar image

updated 2016-01-21 13:25:39 +0300

UPDATE: The correct version of maps is now in store repository and updating normally through store client should work.


We are working on fixing this. Please do not install random versions of sailfish-maps from random releases.

edit flag offensive delete publish link more

Comments

thank you!

okourkoulos ( 2016-01-21 09:25:16 +0300 )edit

thank you!

richdb ( 2016-01-21 10:48:32 +0300 )edit

Sure! Mine was an experiment which actually I thought it would have fallen, it's not intended to be a working or safe solution. I dig into it mostly to check if there was any flaw :) thanks for working on this!

fravaccaro ( 2016-01-21 12:44:28 +0300 )edit

ok, thanks ... will try it this evening

richdb ( 2016-01-21 14:13:06 +0300 )edit

Thanks - updated successfully to 1.1.18.3 Any change log available?

coley ( 2016-01-21 14:29:12 +0300 )edit
0

answered 2016-01-20 17:07:45 +0300

updated 2016-01-20 17:09:23 +0300

After I updated to 2.0.1.7 I got a notification of a Maps update, but trying to perform it returned an error. Then I checked in the repos and last available version was 1.0.13, instead of 1.1.18 that other users got.

I resolved switching ssu on 2.0.0.10 refreshing repos, installing sailfish-maps-1.1.18-10.36.1.jolla.armv7hl and then switching ssu back to 2.0.1.7, but to-date these still seem to be the versions available:

sailfish-maps-1.0.13-10.13.1.jolla.armv7hl
sailfish-maps-1.0.12-10.12.1.jolla.armv7hl
sailfish-maps-1.0.3-10.9.1.jolla.armv7hl
edit flag offensive delete publish link more

Comments

switching ssu?

richdb ( 2016-01-20 17:28:04 +0300 )edit

ssu re command to switch release number, better wait for an official answer from Jolla tho :)

fravaccaro ( 2016-01-20 17:33:01 +0300 )edit

Have you refreshed the repositories after switching the release back to 2.0.1.7?

g7 ( 2016-01-20 17:49:59 +0300 )edit

yup, still no luck and performing a version -dup brings back Jolla Maps to 1.0.13. On the 2.0.1.7 repo neither the 1.1.9 build is available, which was the build available in 2.0.0.10 before upgrading.

fravaccaro ( 2016-01-20 18:01:38 +0300 )edit

No luck :(

richdb ( 2016-01-20 21:58:54 +0300 )edit
0

answered 2016-01-20 18:51:35 +0300

ExPLIT gravatar image

Have the same problem: If i try to download the sailfish-maps from the Terminal i get only this Versions: Have no idea, what is wrong, why i get only old sailfish-maps Versions from store.

pkcon download /tmp sailfish-maps More than one package matches: 1. sailfish-maps-1.0.13-10.13.1.jolla.armv7hl [store] 2. sailfish-maps-1.0.12-10.12.1.jolla.armv7hl [store] 3. sailfish-maps-1.0.3-10.9.1.jolla.armv7hl [store] Please choose the correct package:

Maybe someone could do the same and send me the latest rpm of sailfish-maps ? My email is explit at gmail com

I think, that shouldn't be licence problem, because i am a Jolla User wil Jolla Account, so i have alredy a licence for sailfish-maps....

I switched back to 2.0.0.10 with ssu re 2.0.0.10 an installed sailfish-maps-1.1.18-10.36.1.jolla.armv7hl This went fine. Afterwards i made ssu re 2.0.1.7 now i still have sailfish-maps-1.1.18-10.36.1.jolla.armv7hl but ic can't update to 1.1.19...

edit flag offensive delete publish link more

Question tools

Follow
2 followers

Stats

Asked: 2016-01-20 16:44:42 +0300

Seen: 868 times

Last updated: Jan 21 '16